Bug 123357 - Wvdial doesn't authenticate with ISP
Wvdial doesn't authenticate with ISP
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 12:43 EDT by Bob Hockney
Modified: 2007-04-18 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
transcript of dialup attempt (926 bytes, text/plain)
2004-05-17 23:40 EDT, Bob Hockney
no flags Details
minicom transcript (206 bytes, text/plain)
2004-05-18 10:53 EDT, Bob Hockney
no flags Details

  None (edit)
Description Bob Hockney 2004-05-17 12:43:52 EDT
Description of problem:

When trying to connect using wvdial, it gets as far as finding the 
login prompt and sending my username (my email address) but doesn't 
seem to find the password prompt (which is password:).  After a few 
seconds it complains about not knowing what to do and launching pppd 
and hoping for the best, which times out a short while later.

I have verified my username and password in wvdial.conf, and also set 
the password prompt to what was observed logging in using minicom.

I can login without issue using minicom and get a pppd session going 
by manually launching pppd.

Version-Release number of selected component (if applicable):


How reproducible:

try to connect using wvdial

Steps to Reproduce:
1.
2.
3.
  
Actual results:

wvdial times out without finding password prompt

Expected results:

working ppp session

Additional info:
Comment 1 Bob Hockney 2004-05-17 23:40:51 EDT
Created attachment 100293 [details]
transcript of dialup attempt

Here is a transcript of a dialup attempt.  It sends the username but never
claims to see a password prompt.
Comment 2 Harald Hoyer 2004-05-18 03:52:37 EDT
how does a normal login procedure over minicom look like?
Comment 3 Bob Hockney 2004-05-18 10:53:20 EDT
Created attachment 100298 [details]
minicom transcript

Here is a transcript of a minicom login.  I was then able to launch pppd
manually and submit this attachment.
Comment 4 Harald Hoyer 2004-05-18 11:15:41 EDT
it seems like wvdial does not get the password string after sending
the login name... maybe it needs '\r\n' windows like carriage return?
Comment 5 Bob Hockney 2004-05-19 21:41:26 EDT
I tried adding \r\n to the end of both the username and password
strings and there was no change, but I'm not sure they were sent as
<CR><LF>.  Is there something else I can try?
Comment 6 Harald Hoyer 2005-09-16 09:10:49 EDT
hmm, write a custom chat script... sorry, I cannot fix this.

Note You need to log in before you can comment on or make changes to this bug.